## xdg-desktop-portal-dde 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(xdg-desktop-portal-dde
    VERSION 1.0.0
)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)

add_subdirectory(src)

configure_file(
    misc/xdg-desktop-portal-dde.service.in
    xdg-desktop-portal-dde.service
    @ONLY)

configure_file(
    misc/org.freedesktop.impl.portal.desktop.dde.service.in
    org.freedesktop.impl.portal.desktop.dde.service
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xdg-desktop-portal-dde.service DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/systemd/user/")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.dde.service DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services")
install(FILES ${CMAKE_CURRENT_LIST_DIR}/misc/dde.portal DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xdg-desktop-portal/portals/")
install(FILES ${CMAKE_CURRENT_LIST_DIR}/misc/dde-portals.conf DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xdg-desktop-portal/")

=== src/CMakeLists.txt ===
find_package(
    Qt6 CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    DBus
    Widgets
    WaylandClient)
find_package(Qt6WaylandScannerTools REQUIRED)

set_source_files_properties(
                      ${CMAKE_SOURCE_DIR}/misc/org.freedesktop.Notifications.xml
                      PROPERTIES
                      CLASSNAME
                        NotificationService
                      NO_NAMESPACE
                        OFF
)

qt6_add_dbus_interface(NotificationInterface
                      ${CMAKE_SOURCE_DIR}/misc/org.freedesktop.Notifications.xml
                      notification_interface
)

set(SRC
    ${NotificationInterface}
    xdg-desktop-portal-dde.cpp
    ddesktopportal.h
    ddesktopportal.cpp
    screenshot.h
    screenshot.cpp
    background.h
    background.cpp
    filechooser.h
    filechooser.cpp
    wallpaper.h
    wallpaper.cpp
    notification.h
    notification.cpp
    settings.h
    settings.cpp
    inhibit.h
    inhibit.cpp
    appchooser.h
    appchooser.cpp
    appchooserdialog.h
    appchooserdialog.cpp
    appchooserdelegate.h
    appchooserdelegate.cpp
    appchoosermodel.h
    appchoosermodel.cpp
    iteminfo.h
    iteminfo.cpp
    account.h
    account.cpp
    access.cpp
    access.h
    globalshortcut.h
    globalshortcut.cpp
    lockdown.h
    lockdown.cpp
    secret.h
    secret.cpp
    request.h
    request.cpp
    dbushelpers.h
    utils.h
    utils.cpp
    personalization_manager_client.h
    personalization_manager_client.cpp
)

add_executable(${PROJECT_NAME}
    ${SRC})

qt6_generate_wayland_protocol_client_sources(${PROJECT_NAME}
    FILES
    ${CMAKE_SOURCE_DIR}/protocol/treeland-personalization-manager-v1.xml
)

target_link_libraries(${PROJECT_NAME} PUBLIC
    Qt::Core
    Qt::Widgets
    Qt::Gui
    Qt::DBus
    Qt::Concurrent
    Qt::WaylandClient
    xdg-desktop-portal-dde-wayland
    )

install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

add_subdirectory(wayland)

=== src/wayland/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
pkg_get_variable(WlrProtocols_PKGDATADIR wlr-protocols pkgdatadir)
find_package(Qt6 COMPONENTS REQUIRED Core DBus WaylandClient WaylandScannerTools)

add_library(xdg-desktop-portal-dde-wayland SHARED
    portalwaylandcontext.h
    portalwaylandcontext.cpp
    screenshotportal.h
    screenshotportal.cpp
    abstractwaylandportal.h
    protocols/screencopy.h
    protocols/screencopy.cpp
    protocols/common.h
)

qt_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
    ${WlrProtocols_PKGDATADIR}/unstable/wlr-screencopy-unstable-v1.xml
)

target_include_directories(xdg-desktop-portal-dde-wayland
PUBLIC
    ${PROJECT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_link_libraries(xdg-desktop-portal-dde-wayland
PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::DBus
    Qt6::GuiPrivate
    Qt6::WaylandClientPrivate
)

=== debian/changelog ===
xdg-desktop-portal-dde (1.0.6) unstable; urgency=medium

  * adapt to new screenshot

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 26 Jun 2024 18:42:06 +0800

xdg-desktop-portal-dde (1.0.5) unstable; urgency=medium

  * adapt to new dde-application-manager

 -- linxin <linxin@deepin.org>  Wed, 06 Sep 2023 11:04:06 +0800

xdg-desktop-portal-dde (1.0.4) unstable; urgency=medium

  * fix the problem of build
  * remove deprecated function
  * use dwayland not kwayland

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 9 Jun 2023 16:21:26 +0800

xdg-desktop-portal-dde (1.0.3) unstable; urgency=medium

  * Release 1.0.3

 -- fanpengcheng <fanpengcheng@uniontech.com>  Thu, 11 May 2023 16:21:26 +0800

xdg-desktop-portal-dde (1.0.2) unstable; urgency=medium

  * Release 1.0.2

 -- fanpengcheng <fanpengcheng@uniontech.com>  Thu, 11 May 2023 15:21:53 +0800

xdg-desktop-portal-dde (1.0.1) unstable; urgency=medium

  * Release 1.0.1

 -- lichangze <ut001335@uniontech.com>  Fri, 28 Apr 2023 17:16:00 +0800

xdg-desktop-portal-dde (1.0.0) unstable; urgency=medium

  * Release 1.0.0

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 10 Nov 2022 17:14:03 +0800

=== debian/control ===
Source: xdg-desktop-portal-dde
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
  cmake (>= 3.0~),
  dbus-x11,
  debhelper (>= 11~),
  pkgconf,
  qt6-base-dev,
  qt6-base-private-dev,
  qt6-wayland,
  qt6-wayland-dev,
  qt6-wayland-private-dev,
  qt6-wayland-dev-tools,
  libpipewire-0.3-dev,
  libwayland-dev,
  wlr-protocols,
Standards-Version: 4.5.0

Package: xdg-desktop-portal-dde
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends}
Description: Dtk poortal backend for xdg-desktop-portal
  xdg-desktop-portal-dde provide a DTK implementation for the
  desktop-agnostic xdg-desktop-portal service. This allows sandboxed
  applications to request services from outside the sandbox using
  Dtk GUIs (app chooser, file chooser, print dialog) or using GNOME
  services (session manager, screenshot provider).

## xdg-desktop-portal-dde 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,3 +31,5 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.dde.service DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services")
 install(FILES ${CMAKE_CURRENT_LIST_DIR}/misc/dde.portal DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xdg-desktop-portal/portals/")
 install(FILES ${CMAKE_CURRENT_LIST_DIR}/misc/dde-portals.conf DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xdg-desktop-portal/")
+
+add_subdirectory(misc)

=== debian/changelog ===
xdg-desktop-portal-dde (1.0.8) unstable; urgency=medium

  * fix: crash in Treeland

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 09 Jan 2025 18:58:52 +0800

xdg-desktop-portal-dde (1.0.7) unstable; urgency=medium

  * fix: modify accessdialog to dtk style
  * feat: implement interactive captur
  * fix: 修复调用选择文件对话框时无法选择文件夹
  * fix: wayland上 chromeium112版本上传文件无法多选
  * fix: wayland.so is not found (#51)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 01 Nov 2024 08:55:52 +0800

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,9 @@
   libpipewire-0.3-dev,
   libwayland-dev,
   wlr-protocols,
+  libdtk6widget-dev,
+  libdtk6core-dev,
+  treeland-protocols,
 Standards-Version: 4.5.0
 
 Package: xdg-desktop-portal-dde

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure --

## xdg-desktop-portal-dde 1.0.9

=== debian/changelog ===
xdg-desktop-portal-dde (1.0.9) unstable; urgency=medium

  * fix: add Settings portal interface to dde.portal
  * i18n: Updates for project Deepin Desktop Environment (#63)
  * i18n: Updates for project Deepin Desktop Environment (#62)
  * i18n: Updates for project Deepin Desktop Environment (#57)

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 20:57:16 +0800

## xdg-desktop-portal-dde 1.0.11

=== src/wayland/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 find_package(PkgConfig REQUIRED)
 pkg_get_variable(WlrProtocols_PKGDATADIR wlr-protocols pkgdatadir)
 find_package(Qt6 COMPONENTS REQUIRED Core DBus WaylandClient WaylandScannerTools)
+find_package(TreelandProtocols REQUIRED)
+
 
 add_library(xdg-desktop-portal-dde-wayland SHARED
     portalwaylandcontext.h
@@ -11,10 +13,13 @@
     protocols/screencopy.h
     protocols/screencopy.cpp
     protocols/common.h
+    protocols/treelandcapture.h
+    protocols/treelandcapture.cpp
 )
 
-qt_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
+qt6_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
     ${WlrProtocols_PKGDATADIR}/unstable/wlr-screencopy-unstable-v1.xml
+    ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-capture-unstable-v1.xml
 )
 
 target_include_directories(xdg-desktop-portal-dde-wayland
@@ -32,3 +37,5 @@
     Qt6::GuiPrivate
     Qt6::WaylandClientPrivate
 )
+
+install(TARGETS xdg-desktop-portal-dde-wayland DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
xdg-desktop-portal-dde (1.0.11) unstable; urgency=medium

  * feat: [filechooser] The fileName not show in file chooser dialog.

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Jun 2025 20:53:01 +0800

xdg-desktop-portal-dde (1.0.10) unstable; urgency=medium

  * fix: improve palette change handling and translation loading

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 14:47:47 +0800

## xdg-desktop-portal-dde 1.0.13

=== misc/translations/CMakeLists.txt ===
# generate qm
execute_process(COMMAND bash "misc/translations/translate_generation.sh"
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)

=== debian/changelog ===
xdg-desktop-portal-dde (1.0.13) unstable; urgency=medium

  * fix: modify safe build with debian/rules.

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 16:33:06 +0800

xdg-desktop-portal-dde (1.0.12) unstable; urgency=medium

  * feat: [filechooser] Not show name filter detail info.

 -- gongheng <gongheng@uniontech.com>  Wed, 02 Jul 2025 11:28:34 +0800

## xdg-desktop-portal-dde 1.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 )
 
 set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0
add_subdirectory(translations)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
     Widgets
     WaylandClient)
 find_package(Qt6WaylandScannerTools REQUIRED)
+find_package(Dtk6 REQUIRED COMPONENTS Core Widget)
+find_package(TreelandProtocols REQUIRED)
 
 set_source_files_properties(
                       ${CMAKE_SOURCE_DIR}/misc/org.freedesktop.Notifications.xml
@@ -67,6 +69,8 @@
     utils.cpp
     personalization_manager_client.h
     personalization_manager_client.cpp
+    accessdialog.h
+    accessdialog.cpp
 )
 
 add_executable(${PROJECT_NAME}
@@ -74,10 +78,11 @@
 
 qt6_generate_wayland_protocol_client_sources(${PROJECT_NAME}
     FILES
-    ${CMAKE_SOURCE_DIR}/protocol/treeland-personalization-manager-v1.xml
+    ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
 )
 
 target_link_libraries(${PROJECT_NAME} PUBLIC
+    Dtk6::Widget
     Qt::Core
     Qt::Widgets
     Qt::Gui

=== src/wayland/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(PkgConfig REQUIRED)
pkg_get_variable(WlrProtocols_PKGDATADIR wlr-protocols pkgdatadir)
pkg_get_variable(WAYLANDPROTOCOlS_PKGDATADIR wayland-protocols pkgdatadir)
find_package(Qt6 COMPONENTS REQUIRED Core DBus WaylandClient WaylandScannerTools Quick)
find_package(Dtk6 COMPONENTS Core Gui Declarative REQUIRED)
find_package(TreelandProtocols REQUIRED)
find_package(Libdrm REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client)
pkg_check_modules(GBM IMPORTED_TARGET gbm REQUIRED)
pkg_check_modules(PIPEWIRE IMPORTED_TARGET libpipewire-0.3 REQUIRED)

add_library(xdg-desktop-portal-dde-wayland SHARED
    loggings.h
    loggings.cpp
    portalwaylandcontext.h
    portalwaylandcontext.cpp
    screenshotportal.h
    screenshotportal.cpp
    abstractwaylandportal.h
    treelandintegration.h
    treelandintegration.cpp
    dbushelpers.h
    dbushelpers.cpp
    session.h
    session.cpp
    screencastsession.h
    screencastsession.cpp
    fpslimit.h
    fpslimit.c
    pipewiretimer.h
    pipewiretimer.c
    pipewireutils.h
    pipewireutils.cpp
    pipewirecore.h
    pipewirecore.cpp
    screencastportal.h
    screencastportal.cpp
    screencastcontext.h
    screencastcontext.cpp
    pipewirestream.h
    pipewirestream.cpp
    portalcommon.h
    remotedesktopsession.h
    remotedesktopsession.cpp
    screencastchooser.h
    screencastchooser.cpp
    screenlistmodel.h
    screenlistmodel.cpp
    protocols/screencopy.h
    protocols/screencopy.cpp
    protocols/common.h
    protocols/treelandcapture.h
    protocols/treelandcapture.cpp
    protocols/shmbuffer.h
    protocols/shmbuffer.cpp
    protocols/linuxdmabufer.h
    protocols/linuxdmabufer.cpp
    request2.h
    request2.cpp
    restoredata.h
    restoredata.cpp
)

qt6_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
    ${WlrProtocols_PKGDATADIR}/unstable/wlr-screencopy-unstable-v1.xml
    ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-capture-unstable-v1.xml
    /usr/share/wayland/wayland.xml
    ${WAYLANDPROTOCOlS_PKGDATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
)

# Patch the generated linux-dmabuf protocol header to include core wayland interface
set(DMABUF_HEADER ${CMAKE_CURRENT_BINARY_DIR}/wayland-linux-dmabuf-unstable-v1-client-protocol.h)
set(PATCH_SCRIPT ${CMAKE_SOURCE_DIR}/patch_dmabuf_header.py)

find_package(Python3 REQUIRED COMPONENTS Interpreter)

# Create a custom target to patch the header after it's generated but before compilation
# This solves the problem where wl_buffer_interface is not defined by prepending the core wayland include
add_custom_command(
    OUTPUT ${DMABUF_HEADER}.patched
    DEPENDS ${DMABUF_HEADER}
    COMMAND ${Python3_EXECUTABLE} ${PATCH_SCRIPT} ${DMABUF_HEADER}
    COMMAND ${CMAKE_COMMAND} -E touch ${DMABUF_HEADER}.patched
    COMMENT "Prepending wayland core protocol include to linux-dmabuf header"
)

# Make the library depend on the patched header
add_custom_target(patch_dmabuf_header DEPENDS ${DMABUF_HEADER}.patched)
add_dependencies(xdg-desktop-portal-dde-wayland patch_dmabuf_header)

target_include_directories(xdg-desktop-portal-dde-wayland
PUBLIC
    ${PROJECT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
)

qt_add_qml_module(xdg-desktop-portal-dde-wayland
    URI screencast
    VERSION 1.0
    QML_FILES
        ScreencastChooserWindow.qml
        ScreenList.qml
)

target_link_libraries(xdg-desktop-portal-dde-wayland
PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::DBus
    Qt6::GuiPrivate
    Qt6::WaylandClientPrivate
    Qt6::Quick
    Dtk6::Core
    Dtk6::Gui
    Dtk6::Declarative
    Libdrm::Libdrm
    PkgConfig::GBM
    PkgConfig::PIPEWIRE
    Wayland::Client
)

install(TARGETS xdg-desktop-portal-dde-wayland DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
xdg-desktop-portal-dde (1.0.15) unstable; urgency=medium

  * fix: memory leaks
  * chore: use camelCase for PipeWireSourceBuffer and pwBuffer members
  * feat: Clear pipewiresourcebuffer when removing pw_buffer

 -- rewine <luhongxu@uniontech.com>  Thu, 21 Aug 2025 13:44:55 +0800

xdg-desktop-portal-dde (1.0.14) unstable; urgency=medium

  * i18n: Translate xdg-desktop-portal-dde_en.ts in lo (#75)
  * feat(wayland): initial implementation of screencast portal with
    PipeWire & DMABuf support

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:40:16 +0800

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,11 @@
   libdtk6widget-dev,
   libdtk6core-dev,
   treeland-protocols,
+  libgbm-dev,
+  libdrm-dev,
+  wayland-protocols,
+  qt6-declarative-dev,
+  libdtk6declarative-dev,
 Standards-Version: 4.5.0
 
 Package: xdg-desktop-portal-dde

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/default.mk
 export QT_SELECT = qt5
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 %:
 	dh $@ --parallel

## xdg-desktop-portal-dde 1.1.1

=== src/wayland/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,9 @@
 pkg_get_variable(WlrProtocols_PKGDATADIR wlr-protocols pkgdatadir)
 pkg_get_variable(WAYLANDPROTOCOlS_PKGDATADIR wayland-protocols pkgdatadir)
 find_package(Qt6 COMPONENTS REQUIRED Core DBus WaylandClient WaylandScannerTools Quick)
+if(Qt6_VERSION VERSION_GREATER_EQUAL 6.10)
+  find_package(Qt6 COMPONENTS GuiPrivate WaylandClientPrivate REQUIRED)
+endif()
 find_package(Dtk6 COMPONENTS Core Gui Declarative REQUIRED)
 find_package(TreelandProtocols REQUIRED)
 find_package(Libdrm REQUIRED)
@@ -32,8 +35,6 @@
     screencastsession.cpp
     fpslimit.h
     fpslimit.c
-    pipewiretimer.h
-    pipewiretimer.c
     pipewireutils.h
     pipewireutils.cpp
     pipewirecore.h
@@ -42,8 +43,6 @@
     screencastportal.cpp
     screencastcontext.h
     screencastcontext.cpp
-    pipewirestream.h
-    pipewirestream.cpp
     portalcommon.h
     remotedesktopsession.h
     remotedesktopsession.cpp
@@ -64,6 +63,22 @@
     request2.cpp
     restoredata.h
     restoredata.cpp
+    protocols/foreigntoplevellist.h
+    protocols/foreigntoplevellist.cpp
+    protocols/imagecopycapture.h
+    protocols/imagecopycapture.cpp
+    protocols/imagecapturesource.h
+    protocols/imagecapturesource.cpp
+    toplevelmodel.h
+    toplevelmodel.cpp
+    amhelper.h
+    amhelper.cpp
+    abstractpipewirestream.h
+    abstractpipewirestream.cpp
+    outputpipewirestream.h
+    outputpipewirestream.cpp
+    toplevelpipewirestream.h
+    toplevelpipewirestream.cpp
 )
 
 qt6_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
@@ -71,6 +86,9 @@
     ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-capture-unstable-v1.xml
     /usr/share/wayland/wayland.xml
     ${WAYLANDPROTOCOlS_PKGDATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
+    ${WAYLANDPROTOCOlS_PKGDATADIR}/staging/ext-foreign-toplevel-list/ext-foreign-toplevel-list-v1.xml
+    ${WAYLANDPROTOCOlS_PKGDATADIR}/staging/ext-image-copy-capture/ext-image-copy-capture-v1.xml
+    ${WAYLANDPROTOCOlS_PKGDATADIR}/staging/ext-image-capture-source/ext-image-capture-source-v1.xml
 )
 
 # Patch the generated linux-dmabuf protocol header to include core wayland interface
@@ -104,7 +122,9 @@
     VERSION 1.0
     QML_FILES
         ScreencastChooserWindow.qml
-        ScreenList.qml
+        OutputListView.qml
+        ToplevelList.qml
+        Background.qml
 )
 
 target_link_libraries(xdg-desktop-portal-dde-wayland
@@ -126,3 +146,4 @@
 )
 
 install(TARGETS xdg-desktop-portal-dde-wayland DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(FILES icons/portal-screencast.dci DESTINATION share/dsg/icons/)

=== debian/changelog ===
xdg-desktop-portal-dde (1.1.1) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#95)
  * fix: Allow button enabled state error
  * fix: the func in pipewiretimer was not called
  * fix(ui): delegate item height error

 -- rewine <luhongxu@uniontech.com>  Fri, 14 Nov 2025 11:32:55 +0800

xdg-desktop-portal-dde (1.1.0) unstable; urgency=medium

  * fix: close GBM device file descriptor after destroying gbm_device
  * fix: Treeland may crash during recording
  * feat: remove unused code
  * feat: drop screencopy pipewirestream
  * feat: switch screencast portal to ext-image-capture
  * feat: support the new ext-image-capture protocol
  * fix: currentIndex not changing
  * i18n: Translate xdg-desktop-portal-dde_en.ts in ru
  * fix: compatibility with Qt 6.10
  * feat: get app name from am service
  * feat: add Tray Control pipewire streaming
  * feat: remove useless function
  * fix: var start with uppercase letters
  * feat: implement a new UI design
  * feat: add Qt-style implementations for new Wayland protocols
  * fix: memory access exceptions
  * fix: delete useless conditional judgments

 -- rewine <luhongxu@uniontech.com>  Thu, 30 Oct 2025 13:48:20 +0800
